Skip to main content
PATCH
Update a user

Authorizations

Authorization
string
header
required

A machine-client token from POST /v1/auth/client-token. Provisioning and user management need the pulse.write scope; reads need pulse.read.

Path Parameters

userId
string<uuid>
required

Body

application/json
tenant_id
null | string<uuid>
first_name
null | string
last_name
null | string
email
null | string
password
null | string
role
null | string
enabled
null | boolean

Response

OK

user_id
string<uuid>
required
first_name
string
required
last_name
string
required
display_name
string
required
email
string
required
tenant_id
string<uuid>
required
tenant_name
string
required
roles
string[]
required
scopes
string[]
required
status
string
required
last_login_at
null | string<date-time>
required
selected_mfa_method
null | enum<string>
required
Available options:
email,
totp
enrolled_mfa_methods
enum<string>[]
required
Available options:
email,
totp